package com.brilliance.isc.vo.finance;


import com.brilliance.isc.bo.model.Zxbgrp;
import com.brilliance.isc.bo.model.Zxbp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.esb.model.whj.res.sinosure.NoticeInvoices;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.HashSet;
import java.util.Set;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ZxbStoreVo extends BaseTransactionVo {
    private Zxbgrp recgrp;

    private Zxbp recpan;

    private String policyno;

    private Set<String> disableSet;

    private NoticeInvoices noticeInvoices;

    private String pdfData;

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Zxbgrp();
        }
        recgrp.reset();
        if (recpan == null) {
            recpan = new Zxbp();
        }
        recpan.reset();
        if (disableSet == null) {
            disableSet = new HashSet<>();
        }
    }
}
